View Issue Details

IDProjectCategoryView StatusLast Update
0002480SymmetricDSBugpublic2016-04-28 10:01
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.28 
Target Version3.7.29Fixed in Version3.7.29 
Summary0002480: Rest API uninstall does not completely uninstall a node.
DescriptionWhen using the Rest API to remove an engine (node), the engine is stopped and the database objects are removed. However, the properties file still exists, and the node is still listed by the registration node and so tends to remain on the pro UI. This leaves traces of the node around and causes errors.

After the fix, the behavior of "uninstall" will be:
1) Stop the node.
2) Remove the DB objects associated with the node.
3) Remove the engine properties file.
4) Remove the node from other engines running in the same server.
Steps To ReproduceInvoke a POST to a URL like http://localhost:31415/api/engine/store-001/uninstall.

Validate if the node is cleanly removed or not.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 03c8ddd6

2016-01-18 15:05:14

mmichalek

Details Diff
0002480: Rest API uninstall does not completely uninstall a node.
0002480
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricEngineHolder.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File

SymmetricDS: 3.8 d1e013e4

2016-01-18 15:05:14

mmichalek

Details Diff
0002480: Rest API uninstall does not completely uninstall a node.
0002480
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricEngineHolder.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File

Issue History

Date Modified Username Field Change
2016-01-18 15:03 mmichalek New Issue
2016-01-18 15:03 mmichalek Status new => assigned
2016-01-18 15:03 mmichalek Assigned To => mmichalek
2016-01-18 15:09 mmichalek Status assigned => resolved
2016-01-18 15:09 mmichalek Resolution open => fixed
2016-01-18 15:09 mmichalek Fixed in Version => 3.7.29
2016-01-18 15:15 mmichalek Status resolved => feedback
2016-01-18 15:15 mmichalek Resolution fixed => reopened
2016-01-18 15:16 mmichalek Status feedback => resolved
2016-01-18 15:16 mmichalek Resolution reopened => fixed
2016-01-18 15:16 mmichalek Description Updated View Revisions
2016-01-18 16:00 mmichalek Changeset attached => SymmetricDS 3.7 03c8ddd6
2016-02-12 13:26 chenson Status resolved => closed
2016-04-28 10:01 mmichalek Changeset attached => SymmetricDS 3.8 d1e013e4